Name: sched-h-bug
Version: 1.0
Release: 1
Summary: Fix bug in libc-devel include files.
Copyright: PD
Packager: David Fox, fox@cat.nyu.edu
Group: Utilities/System

%description

There is a long standing typo in /usr/include/sched.h that bites me
whenever I re-install the operating system, so this is an RPM whose
existance should remind me to fix it next time.

%prep

%build

%install

%post
cd /usr/include
patch -p2 << 'delim'
diff -ru usr/include/sched.h~ usr/include/sched.h
--- usr/include/sched.h~	Mon Apr 15 04:17:56 1996
+++ usr/include/sched.h	Tue Feb 11 10:51:42 1997
@@ -33,7 +33,7 @@
 extern int sched_getscheduler __P((pid_t __pid));
 extern int sched_yield __P((void));
 extern int sched_get_priority_max __P((int __policy));
-extern int sched_get_priority_min _P((int __policy));
+extern int sched_get_priority_min __P((int __policy));
 extern int sched_rr_get_interval __P((pid_t __pid,
 		struct timespec *interval));
delim

%postun
if [ -f /usr/include/sched.h.orig ]; then
  mv /usr/include/sched.h.orig /usr/include/sched.h
fi

%files
